跳轉到主要內容

Documentation Index

Fetch the complete documentation index at: https://docs.lemondata.cc/llms.txt

Use this file to discover all available pages before exploring further.

以 Google Gemini API 格式傳回特定模型的元數據。

路徑參數

model
string
必填
模型名稱(例如:gemini-2.5-progemini-2.5-flash)。也支援別名。

身分驗證

公開模型元數據讀取端點不需要身分驗證。

回應

name
string
models/{model} 格式的模型資源名稱。
displayName
string
人類可讀的模型名稱。
inputTokenLimit
integer
最大輸入 token 數(上下文視窗)。
outputTokenLimit
integer
最大輸出 token 數。
supportedGenerationMethods
array
支援的生成方法列表(例如:generateContentcountTokensembedContent)。
version
string
可用時的公開版本字串。
description
string
可用時的人類可讀模型描述。
temperature
number
上游公開時的預設 temperature。
topP
number
可用時的預設 top-p 值。
topK
integer
可用時的預設 top-k 值。
maxTemperature
number
可用時支援的最大 temperature。

錯誤

  • 如果 GET 請求錯誤地帶上了 :generateContent:streamGenerateContent,會回傳 405 METHOD_NOT_ALLOWED
  • 找不到模型時會回傳 404 NOT_FOUND
curl "https://api.lemondata.cc/v1beta/models/gemini-2.5-pro"
{
  "name": "models/gemini-2.5-pro",
  "version": "1.0",
  "displayName": "gemini-2.5-pro",
  "description": "gemini-2.5-pro model available via LemonData",
  "inputTokenLimit": 1048576,
  "outputTokenLimit": 65536,
  "supportedGenerationMethods": ["generateContent", "countTokens"],
  "temperature": 1.0,
  "topP": 0.95,
  "topK": 40,
  "maxTemperature": 2.0
}